--- !ruby/object:Gem::Specification
name: webgen
version: !ruby/object:Gem::Version
  version: 0.5.17
  prerelease: 
platform: ruby
authors:
- Thomas Leitner
autorequire: 
bindir: bin
cert_chain: []
date: 2012-09-04 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: cmdparse
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 2.0.2
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 2.0.2
- !ruby/object:Gem::Dependency
  name: kramdown
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.12.0
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.12.0
- !ruby/object:Gem::Dependency
  name: maruku
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.6.0
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.6.0
- !ruby/object:Gem::Dependency
  name: rake
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.8.3
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.8.3
- !ruby/object:Gem::Dependency
  name: ramaze
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: '2009.04'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: '2009.04'
- !ruby/object:Gem::Dependency
  name: launchy
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.3.2
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.3.2
- !ruby/object:Gem::Dependency
  name: rcov
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.8.1.2.0
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.8.1.2.0
- !ruby/object:Gem::Dependency
  name: rubyforge
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 2.0.2
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 2.0.2
- !ruby/object:Gem::Dependency
  name: RedCloth
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 4.1.9
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 4.1.9
- !ruby/object:Gem::Dependency
  name: haml
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 3.0.12
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 3.0.12
- !ruby/object:Gem::Dependency
  name: builder
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 2.1.0
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 2.1.0
- !ruby/object:Gem::Dependency
  name: rdoc
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 2.4.3
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 2.4.3
- !ruby/object:Gem::Dependency
  name: coderay
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.8.312
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.8.312
- !ruby/object:Gem::Dependency
  name: erubis
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 2.6.5
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 2.6.5
- !ruby/object:Gem::Dependency
  name: rdiscount
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 1.3.5
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 1.3.5
- !ruby/object:Gem::Dependency
  name: archive-tar-minitar
  requirement: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.5.2
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    none: false
    requirements:
    - - ! '>='
      - !ruby/object:Gem::Version
        version: 0.5.2
description: ! 'webgen is used to generate static websites from templates and content

  files (which can be written in a markup language). It can generate

  dynamic content like menus on the fly and comes with many powerful

  extensions.

'
email: t_leitner@gmx.at
executables:
- webgen
extensions: []
extra_rdoc_files: []
files:
- Rakefile
- setup.rb
- VERSION
- ChangeLog
- AUTHORS
- THANKS
- COPYING
- GPL
- bin/webgen
- data/webgen/website_skeleton/Rakefile
- data/webgen/website_skeleton/config.yaml
- data/webgen/website_skeleton/ext/init.rb
- data/webgen/website_skeleton/README
- data/webgen/website_bundles/default/src/index.page
- data/webgen/website_bundles/default/README
- data/webgen/website_bundles/style/andreas00/src/images/bg.gif
- data/webgen/website_bundles/style/andreas00/src/images/menubg2.gif
- data/webgen/website_bundles/style/andreas00/src/images/front.jpg
- data/webgen/website_bundles/style/andreas00/src/images/menubg.gif
- data/webgen/website_bundles/style/andreas00/src/default.template
- data/webgen/website_bundles/style/andreas00/src/default.css
- data/webgen/website_bundles/style/andreas00/README
- data/webgen/website_bundles/style/andreas01/src/images/bg.gif
- data/webgen/website_bundles/style/andreas01/src/images/front.jpg
- data/webgen/website_bundles/style/andreas01/src/default.template
- data/webgen/website_bundles/style/andreas01/src/default.css
- data/webgen/website_bundles/style/andreas01/src/print.css
- data/webgen/website_bundles/style/andreas01/README
- data/webgen/website_bundles/style/1024px/src/images/background.gif
- data/webgen/website_bundles/style/1024px/src/default.template
- data/webgen/website_bundles/style/1024px/src/default.css
- data/webgen/website_bundles/style/1024px/README
- data/webgen/website_bundles/style/andreas08/src/default.template
- data/webgen/website_bundles/style/andreas08/src/default.css
- data/webgen/website_bundles/style/andreas08/README
- data/webgen/website_bundles/style/andreas07/src/images/sidebarbg.gif
- data/webgen/website_bundles/style/andreas07/src/images/bodybg.gif
- data/webgen/website_bundles/style/andreas07/src/default.template
- data/webgen/website_bundles/style/andreas07/src/default.css
- data/webgen/website_bundles/style/andreas07/src/browserfix.css
- data/webgen/website_bundles/style/andreas07/README
- data/webgen/website_bundles/style/andreas04/src/images/bodybg.png
- data/webgen/website_bundles/style/andreas04/src/images/globebottom.gif
- data/webgen/website_bundles/style/andreas04/src/images/flash2.gif
- data/webgen/website_bundles/style/andreas04/src/images/globe.gif
- data/webgen/website_bundles/style/andreas04/src/images/menuhover.png
- data/webgen/website_bundles/style/andreas04/src/images/contentbg.png
- data/webgen/website_bundles/style/andreas04/src/images/entrybg.png
- data/webgen/website_bundles/style/andreas04/src/images/blinkarrow.gif
- data/webgen/website_bundles/style/andreas04/src/images/flash.gif
- data/webgen/website_bundles/style/andreas04/src/images/linkarrow.gif
- data/webgen/website_bundles/style/andreas04/src/default.template
- data/webgen/website_bundles/style/andreas04/src/default.css
- data/webgen/website_bundles/style/andreas04/README
- data/webgen/website_bundles/style/simple/src/default.template
- data/webgen/website_bundles/style/simple/src/default.css
- data/webgen/website_bundles/style/simple/README
- data/webgen/website_bundles/style/andreas09/src/images/bodybg-red.jpg
- data/webgen/website_bundles/style/andreas09/src/images/footerbg.jpg
- data/webgen/website_bundles/style/andreas09/src/images/bodybg-green.jpg
- data/webgen/website_bundles/style/andreas09/src/images/bodybg-purple.jpg
- data/webgen/website_bundles/style/andreas09/src/images/bodybg-orange.jpg
- data/webgen/website_bundles/style/andreas09/src/images/menuhover-black.jpg
- data/webgen/website_bundles/style/andreas09/src/images/menuhover-orange.jpg
- data/webgen/website_bundles/style/andreas09/src/images/menuhover-purple.jpg
- data/webgen/website_bundles/style/andreas09/src/images/bodybg-black.jpg
- data/webgen/website_bundles/style/andreas09/src/images/menuhover.jpg
- data/webgen/website_bundles/style/andreas09/src/images/bodybg.jpg
- data/webgen/website_bundles/style/andreas09/src/images/menuhover-red.jpg
- data/webgen/website_bundles/style/andreas09/src/images/menuhover-green.jpg
- data/webgen/website_bundles/style/andreas09/src/default.template
- data/webgen/website_bundles/style/andreas09/src/default.css
- data/webgen/website_bundles/style/andreas09/README
- data/webgen/website_bundles/style/andreas05/src/images/front.png
- data/webgen/website_bundles/style/andreas05/src/images/bodybg.gif
- data/webgen/website_bundles/style/andreas05/src/default.template
- data/webgen/website_bundles/style/andreas05/src/default.css
- data/webgen/website_bundles/style/andreas05/README
- data/webgen/website_bundles/style/andreas06/src/images/header.jpg
- data/webgen/website_bundles/style/andreas06/src/images/boxbg.gif
- data/webgen/website_bundles/style/andreas06/src/images/tabs.gif
- data/webgen/website_bundles/style/andreas06/src/images/bodybg.gif
- data/webgen/website_bundles/style/andreas06/src/images/leaves.jpg
- data/webgen/website_bundles/style/andreas06/src/images/greypx.gif
- data/webgen/website_bundles/style/andreas06/src/images/innerbg.gif
- data/webgen/website_bundles/style/andreas06/src/default.template
- data/webgen/website_bundles/style/andreas06/src/default.css
- data/webgen/website_bundles/style/andreas06/README
- data/webgen/website_bundles/style/andreas03/src/images/bodybg.png
- data/webgen/website_bundles/style/andreas03/src/images/contbg.png
- data/webgen/website_bundles/style/andreas03/src/images/footerbg.png
- data/webgen/website_bundles/style/andreas03/src/images/gradient1.png
- data/webgen/website_bundles/style/andreas03/src/images/gradient2.png
- data/webgen/website_bundles/style/andreas03/src/default.template
- data/webgen/website_bundles/style/andreas03/src/default.css
- data/webgen/website_bundles/style/andreas03/README
- data/webgen/webgui/view/index.xhtml
- data/webgen/webgui/view/create_website.xhtml
- data/webgen/webgui/view/error.xhtml
- data/webgen/webgui/view/manage_website.xhtml
- data/webgen/webgui/layout/default.xhtml
- data/webgen/webgui/app.rb
- data/webgen/webgui/controller/main.rb
- data/webgen/webgui/overrides/win32console.rb
- data/webgen/webgui/public/img/webgen_logo.png
- data/webgen/webgui/public/img/headerbg.jpg
- data/webgen/webgui/public/js/jquery.autocomplete.js
- data/webgen/webgui/public/js/jquery.js
- data/webgen/webgui/public/css/style.css
- data/webgen/webgui/public/css/ramaze_error.css
- data/webgen/webgui/public/css/jquery.autocomplete.css
- data/webgen/webgui/start.rb
- data/webgen/resources.yaml
- data/webgen/passive_sources/images/webgen_logo.png
- data/webgen/passive_sources/images/generated_by_webgen.png
- data/webgen/passive_sources/stylesheets/coderay-default.css
- data/webgen/passive_sources/templates/rss_feed.template
- data/webgen/passive_sources/templates/sitemap.template
- data/webgen/passive_sources/templates/atom_feed.template
- doc/tag/coderay.page
- doc/tag/date.page
- doc/tag/executecommand.page
- doc/tag/breadcrumbtrail.page
- doc/tag/langbar.page
- doc/tag/tikz.page
- doc/tag/menu.page
- doc/tag/link.page
- doc/tag/metainfo.page
- doc/tag/relocatable.page
- doc/tag/sitemap.page
- doc/tag/includefile.page
- doc/extensions.template
- doc/contentprocessor.template
- doc/reference_configuration.page
- doc/sourcehandler.template
- doc/reference_metainfo.page
- doc/index.page
- doc/extensions.page
- doc/reference_website_styles.page
- doc/manual.page
- doc/extensions.metainfo
- doc/sourcehandler/copy.page
- doc/sourcehandler/template.page
- doc/sourcehandler/feed.page
- doc/sourcehandler/page.page
- doc/sourcehandler/directory.page
- doc/sourcehandler/virtual.page
- doc/sourcehandler/metainfo.page
- doc/sourcehandler/sitemap.page
- doc/faq.page
- doc/tag.template
- doc/webgen_page_format.page
- doc/getting_started.page
- doc/source/tararchive.page
- doc/source/filesystem.page
- doc/contentprocessor/xmllint.page
- doc/contentprocessor/head.page
- doc/contentprocessor/erb.page
- doc/contentprocessor/builder.page
- doc/contentprocessor/rdiscount.page
- doc/contentprocessor/redcloth.page
- doc/contentprocessor/less.page
- doc/contentprocessor/tags.page
- doc/contentprocessor/erubis.page
- doc/contentprocessor/scss.page
- doc/contentprocessor/rdoc.page
- doc/contentprocessor/sass.page
- doc/contentprocessor/haml.page
- doc/contentprocessor/maruku.page
- doc/contentprocessor/tidy.page
- doc/contentprocessor/blocks.page
- doc/contentprocessor/fragments.page
- doc/contentprocessor/kramdown.page
- doc/upgrading.page
- doc/website_styles.metainfo
- lib/webgen/tag/breadcrumbtrail.rb
- lib/webgen/tag/coderay.rb
- lib/webgen/tag/relocatable.rb
- lib/webgen/tag/includefile.rb
- lib/webgen/tag/tikz.rb
- lib/webgen/tag/base.rb
- lib/webgen/tag/metainfo.rb
- lib/webgen/tag/executecommand.rb
- lib/webgen/tag/langbar.rb
- lib/webgen/tag/date.rb
- lib/webgen/tag/link.rb
- lib/webgen/tag/sitemap.rb
- lib/webgen/tag/menu.rb
- lib/webgen/websitemanager.rb
- lib/webgen/page.rb
- lib/webgen/contentprocessor.rb
- lib/webgen/output.rb
- lib/webgen/sourcehandler.rb
- lib/webgen/webgentask.rb
- lib/webgen/tree.rb
- lib/webgen/default_config.rb
- lib/webgen/node.rb
- lib/webgen/context.rb
- lib/webgen/tag.rb
- lib/webgen/coreext.rb
- lib/webgen/common/sitemap.rb
- lib/webgen/blackboard.rb
- lib/webgen/sourcehandler/virtual.rb
- lib/webgen/sourcehandler/page.rb
- lib/webgen/sourcehandler/directory.rb
- lib/webgen/sourcehandler/template.rb
- lib/webgen/sourcehandler/base.rb
- lib/webgen/sourcehandler/metainfo.rb
- lib/webgen/sourcehandler/feed.rb
- lib/webgen/sourcehandler/fragment.rb
- lib/webgen/sourcehandler/sitemap.rb
- lib/webgen/sourcehandler/memory.rb
- lib/webgen/sourcehandler/copy.rb
- lib/webgen/source.rb
- lib/webgen/cli/apply_command.rb
- lib/webgen/cli/run_command.rb
- lib/webgen/cli/webgui_command.rb
- lib/webgen/cli/utils.rb
- lib/webgen/cli/create_command.rb
- lib/webgen/websiteaccess.rb
- lib/webgen/loggable.rb
- lib/webgen/languages.rb
- lib/webgen/context/nodes.rb
- lib/webgen/context/render.rb
- lib/webgen/context/tags.rb
- lib/webgen/error.rb
- lib/webgen/cli.rb
- lib/webgen/website.rb
- lib/webgen/source/tararchive.rb
- lib/webgen/source/stacked.rb
- lib/webgen/source/resource.rb
- lib/webgen/source/filesystem.rb
- lib/webgen/path.rb
- lib/webgen/contentprocessor/tidy.rb
- lib/webgen/contentprocessor/xmllint.rb
- lib/webgen/contentprocessor/erb.rb
- lib/webgen/contentprocessor/maruku.rb
- lib/webgen/contentprocessor/blocks.rb
- lib/webgen/contentprocessor/rdoc.rb
- lib/webgen/contentprocessor/redcloth.rb
- lib/webgen/contentprocessor/sass.rb
- lib/webgen/contentprocessor/tags.rb
- lib/webgen/contentprocessor/head.rb
- lib/webgen/contentprocessor/rdiscount.rb
- lib/webgen/contentprocessor/kramdown.rb
- lib/webgen/contentprocessor/fragments.rb
- lib/webgen/contentprocessor/kramdown/html.rb
- lib/webgen/contentprocessor/less.rb
- lib/webgen/contentprocessor/haml.rb
- lib/webgen/contentprocessor/scss.rb
- lib/webgen/contentprocessor/erubis.rb
- lib/webgen/contentprocessor/builder.rb
- lib/webgen/version.rb
- lib/webgen/common.rb
- lib/webgen/output/filesystem.rb
- lib/webgen/logger.rb
- lib/webgen/configuration.rb
- lib/webgen/cache.rb
- man/man1/webgen.1
- misc/logo.svg
- misc/images/important.png
- misc/images/arrow.gif
- misc/images/headerbg.jpg
- misc/images/error.png
- misc/images/information.png
- misc/images/quote.gif
- misc/images/warning.png
- misc/default.template
- misc/htmldoc.metainfo
- misc/style.page
- misc/default.css
- misc/htmldoc.virtual
- test/test_tag_metainfo.rb
- test/test_contentprocessor_xmllint.rb
- test/test_contentprocessor_tidy.rb
- test/test_blackboard.rb
- test/test_page.rb
- test/test_sourcehandler_base.rb
- test/test_languages.rb
- test/test_contentprocessor_kramdown.rb
- test/test_contentprocessor_less.rb
- test/test_sourcehandler_directory.rb
- test/test_sourcehandler_copy.rb
- test/test_source_resource.rb
- test/test_sourcehandler_virtual.rb
- test/test_cli.rb
- test/test_contentprocessor_sass.rb
- test/test_sourcehandler_memory.rb
- test/test_website.rb
- test/test_tag_link.rb
- test/test_contentprocessor_tags.rb
- test/test_logger.rb
- test/test_output_filesystem.rb
- test/test_tag_relocatable.rb
- test/test_cache.rb
- test/test_sourcehandler_metainfo.rb
- test/test_sourcehandler_fragment.rb
- test/test_contentprocessor_haml.rb
- test/test_contentprocessor_scss.rb
- test/test_context.rb
- test/test_tag_breadcrumbtrail.rb
- test/test_contentprocessor_rdoc.rb
- test/test_websitemanager.rb
- test/test_source_filesystem.rb
- test/test_tag_menu.rb
- test/test_contentprocessor_erubis.rb
- test/test_sourcehandler_template.rb
- test/test_contentprocessor_maruku.rb
- test/test_contentprocessor_fragments.rb
- test/test_contentprocessor_head.rb
- test/test_contentprocessor_blocks.rb
- test/test_sourcehandler_page.rb
- test/test_webgentask.rb
- test/test_tag_date.rb
- test/test_tag_executecommand.rb
- test/test_tree.rb
- test/test_tag_tikz.rb
- test/test_tag_includefile.rb
- test/test_websiteaccess.rb
- test/test_node.rb
- test/test_sourcehandler_sitemap.rb
- test/test_contentprocessor_builder.rb
- test/test_common_sitemap.rb
- test/test_configuration.rb
- test/test_tag_sitemap.rb
- test/test_error.rb
- test/test_contentprocessor_erb.rb
- test/test_source_tararchive.rb
- test/test_sourcehandler_main.rb
- test/test_tag_langbar.rb
- test/test_source_stacked.rb
- test/test_tag_base.rb
- test/test_tag_coderay.rb
- test/test_path.rb
- test/test_loggable.rb
- test/test_sourcehandler_feed.rb
- test/test_contentprocessor_rdiscount.rb
- test/test_contentprocessor_redcloth.rb
- test/test_contentprocessor.rb
- test/helper.rb
homepage: http://webgen.rubyforge.org
licenses: []
post_install_message: ! '

  Thanks for choosing webgen! Here are some places to get you started:

  * The webgen User Documentation at <http://webgen.rubyforge.org/documentation/index.html>

  * The mailing list archive at <http://rubyforge.org/pipermail/webgen-users/>


  Have a look at <http://webgen.rubyforge.org/news/index.html> for a list of changes!


  Have fun!


'
rdoc_options:
- --line-numbers
- --main
- lib/webgen/website.rb
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  none: false
  requirements:
  - - ! '>='
    - !ruby/object:Gem::Version
      version: '0'
required_rubygems_version: !ruby/object:Gem::Requirement
  none: false
  requirements:
  - - ! '>='
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: webgen
rubygems_version: 1.8.24
signing_key: 
specification_version: 3
summary: webgen is a fast, powerful, and extensible static website generator.
test_files: []
